;
; ONE_OH.INC: This file contains equates related to the operations under USB Spec. rev 1.0
;             It also includes equates for 82930 register manipulation
;


;<<<<<<<<<<<<<<
;bRequest Types
;>>>>>>>>>>>>>>

        GET_STATUS        equ 00h
        CLEAR_FEATURE     equ 01h
        RESERVED1         equ 02h
        SET_FEATURE       equ 03h
        RESERVED2         equ 04h
        SET_ADDRESS       equ 05h
        GET_DESCRIPTOR    equ 06h
        SET_DESCRIPTOR    equ 07h
        GET_CONFIGURATION equ 08h
        SET_CONFIGURATION equ 09h
        GET_INTERFACE     equ 0Ah
        SET_INTERFACE     equ 0Bh
        SYCH_FRAME        equ 0Ch

;
;Descriptor Types
;
        DEVICE_DESCR      equ 01h
        CONFIG_DESCR      equ 02h      
        STRING_DESCR      equ 03h      
        INTERFACE_DESCR   equ 04h      
        ENDPOINT_DESCR    equ 05h      

;
;Feature Selectors
;


        DEVICE_REMOTE_WAKEUP  equ 01h
        ENDPOINT_STALL        equ 00h




;
;Equates for clearing bits in SBI register
;


EP0_TX_CLR    equ  0FEh
EP0_RX_CLR    equ  0FDh

EP1_TX_CLR    equ  0FBh
EP1_RX_CLR    equ  0F7h

EP2_TX_CLR    equ  0EFh
EP2_RX_CLR    equ  0DFh

EP3_TX_CLR    equ  0BFh
EP3_RX_CLR    equ  07Fh


;
;Equates to access EP management variables
;

EPRXPTROFFSET    equ 0800h
EPTXPTROFFSET    equ 0802h
EPDATACNTOFFSET  equ 0804h

;
; Ring buffer size (actually one less...)
;
RINGBUFFSIZE  equ 07FFh

;
;Equates for masking registers, addresses, and counters
;
RINGBUFFMASK  equ 0F7FFh
RINGWORDMASK  equ 07FFh
FIFBITMASK    equ 0C0h

EP0MAXPACKET  equ 08h
EP1MAXPACKET  equ 40h
EP2MAXPACKET  equ 08h
EP3MAXPACKET  equ 08h

R_ACK   equ  01h
R_ERR   equ  02h
R_VOID  equ  04h
R_SETUP equ  40h
R_SEQ   equ  80h

DEVICE_DESCRIPTOR_LENGTH        equ     012h

GET_REQUEST_TYPE_OFFSET         equ     004h

SETUP_PACKET_LENGTH             equ     008h


;; Vendor Set commands...
CLR_DTR                         equ     003h
CLR_RTS                         equ     004h
SET_DTR                         equ     005h
SET_RTS                         equ     006h
